0
$\begingroup$

Rosanswers logo

installing PCL 1.7.2 under Indigo compile from source. How can I find out which ros packages I need to download from source to recompile for compatability? I am getting errros like:

Update: I downloaded pcl_ros and pcl_msgs and compiled from source by I am still getting these odd errors. Do I need to do somthing with ros-gbp/pcl-release? Should I download and add a track for Indigo pcl 1.7.2? Anyhelp here please.

Linking CXX executable /home/richard/catkin_ws/devel/lib/testPCD/testPCD
CMakeFiles/testPCD.dir/src/testPCD.cpp.o: In function `TestPCD::sendCloud(boost::shared_ptr<sensor_msgs::PointCloud2_<std::allocator<void> > const> const&)':
testPCD.cpp:(.text._ZN7TestPCD9sendCloudERKN5boost10shared_ptrIKN11sensor_msgs12PointCloud2_ISaIvEEEEE[_ZN7TestPCD9sendCloudERKN5boost10shared_ptrIKN11sensor_msgs12PointCloud2_ISaIvEEEEE]+0xa0): undefined reference to `pcl::ProgressiveMorphologicalFilter<pcl::PointXYZ>::ProgressiveMorphologicalFilter()'

make[2]: *** [/home/richard/catkin_ws/devel/lib/testPCD/testPCD] Error 1
make[1]: *** [gazebo_ros_demos/testPCD/CMakeFiles/testPCD.dir/all] Error 2

Makefile is as follows:

cmake_minimum_required(VERSION 2.8.3)
project(testPCD)


find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2_ros
  std_msgs
  geometry_msgs
  sensor_msgs
  actionlib
  actionlib_msgs
  pcl_ros
  )
  

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)
find_package(PCL 1.7.2 REQUIRED)


catkin_package(
  DEPENDS boost
  LIBRARIES
  CATKIN_DEPENDS
  tf2_ros
  std_msgs
  geometry_msgs
  sensor_msgs
  actionlib
  actionlib_msgs
  pcl_ros
  )


###########
## Build ##
###########

 include_directories(include ${catkin_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
 add_executable(testPCD src/testPCD.cpp)

 target_link_libraries(testPCD ${catkin_LIBRARIES}  ${Boost_LIBRARIES} ${PCL_LIBRARY_DIRS})
 add_definitions(${PCL_DEFINITIONS})  

Originally posted by rnunziata on ROS Answers with karma: 713 on 2015-04-26

Post score: 0


Original comments

Comment by Maya on 2015-05-03:
Did you install PCL from source or the repo ? Culd you post your CMakeList.txt ?

Comment by rnunziata on 2015-05-03:
Updated question with requested data

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

I had some errors in my makefile the following changes allowed the pgm to compile without error.

include_directories(include ${catkin_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS}) link_directories(${PCL_LIBRARY_DIRS})

add_definitions(${PCL_DEFINITIONS})

set(PCL_BUILD_TYPE Release)

add_executable(testPCD src/testPCD.cpp)

target_link_libraries(testPCD ${catkin_LIBRARIES} ${PCL_LIBRARY} ${Boost_LIBRARIES})


Originally posted by rnunziata with karma: 713 on 2015-05-05

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.